import { type Config } from '@pnpm/config';
import * as install from './install';
type LinkOpts = Pick<Config, 'bin' | 'cliOptions' | 'engineStrict' | 'rootProjectManifest' | 'rootProjectManifestDir' | 'saveDev' | 'saveOptional' | 'saveProd' | 'workspaceDir' | 'workspacePackagePatterns' | 'sharedWorkspaceLockfile' | 'globalPkgDir'> & Partial<Pick<Config, 'linkWorkspacePackages'>> & install.InstallCommandOptions;
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: LinkOpts, params?: string[]): Promise<void>;
export {};
